import java.util.ArrayList;

/**
 * Controller der Teilnehmerliste
 * @author Martin
 *
 */
public class Controller {

	Model model;
	View view;

	public Controller() {
		model = new Model();
		view = new View(this);
		model.addObserver(view);
	}
	
	/**
	 * laesst Model einen Teilnehmer hinzufuegen
	 * @param name
	 */
	public void addTeilnehmer(String name){
		model.addTeilnehmer(name);
	}
	
	/**
	 * liest vom Model die aktuelle Teilnehmerliste aus
	 * @return
	 */
	public ArrayList<String> getNamen() {
		return model.getNamen();
	} 
}
