import java.util.ArrayList;
import java.util.Observable;

/**
 * Speichert die Teilnehmer in einer Liste
 * @author Martin
 *
 */
public class Model extends Observable {

	private ArrayList<String> namen = new ArrayList<String>();

	/**
	 * gibt die Teilnehmerliste zurueck
	 * @return
	 */
	public ArrayList<String> getNamen() {
		return namen;
	}

	/**
	 * fuegt einen Teilnehmer hinzu
	 * @param name
	 */
	public void addTeilnehmer(String name) {
		namen.add(name);
		setChanged();
		notifyObservers();
	}

}
